{ config, ... }:
{
  programs.wezterm = {
    enable = true;

    rose-pine.enable = true;

    extraConfig =
      # lua
      ''
        config.enable_tab_bar = false

        config.font = wezterm.font_with_fallback({
          { family = "${config.fonts.fontconfig.defaultFonts.monospace}" },
          { family = "FairiesevkaTerm Nerd Font Mono" },
          {
            family = "FiraCode Nerd Font",
            harfbuzz_features = {
              "cv02",
              "cv06",
              "ss01",
              "cv14",
              "onum",
              "ss04",
              "cv18",
              "cv31",
              "cv30",
              "cv25",
              "cv26",
              "cv32",
              "ss06",
              "ss07",
            },
          },
          { family = "Apple Color Emoji" },
        })

        -- TODO: on mairley this should be set to 14.0
        config.font_size = 11.0
      '';
  };
}
